close all
geofile=fc_simesh.get_geo(2,2,'sample2D01.geo');
% Using GMSH >= 4.0.0 to create mesh file
meshfile=fc_oogmsh.gmsh.buildmesh2d(geofile,200,'force',true); 
% Creating siMesh object by reading the mesh file 
Th=fc_simesh.siMesh(meshfile);
% Computing datas on siMesh object
u=@(x,y) cos(x.^2-y.^2);
U=Th.eval(u);
% Graphics
figure(1)
fc_siplt.plotmesh(Th,'inlegend',true)
axis image;axis off
legend()

figure(2)
fc_siplt.plotmesh(Th,'color','LightGray')
hold on
fc_siplt.plotmesh(Th,'d',1,'inlegend',true,'LineWidth',2)
axis image;axis off
legend()

figure(3)
fc_siplt.plot(Th,U,'plane',true)
colorbar
shading interp
axis image;axis off
hold on
fc_siplt.plotmesh(Th,'d',1,'LineWidth',1.5,'color','k')

figure(4)
fc_siplt.plotmesh(Th,'color','LightGray')
axis image;axis off
hold on
fc_siplt.plot(Th,U,'d',1,'LineWidth',2,'plane',true)
colorbar
fc_siplt.plotiso(Th,U,'niso',10,'LineWidth',1,'plane',true)


